Package bitel.billing.server.contract.bean

# Class ContractNotification

java.lang.Object
bitel.billing.server.contract.bean.ContractNotification

    @Deprecated
    public class ContractNotification
    extends java.lang.Object

Deprecated.
use `ContractNotification`, `ContractNotificationDao` and `ContractNotificationService`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractNotification()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` | Deprecated.
  `java.util.Date` | `getDateTime()` | Deprecated.
  `int` | `getId()` | Deprecated.
  `java.lang.String` | `getMessage()` | Deprecated.
  `java.lang.String` | `getSubject()` | Deprecated.
  `boolean` | `isRead()` | Deprecated.
  `void` | `setContractId​(int cid)` | Deprecated.
  `void` | `setDateTime​(java.util.Date dateTime)` | Deprecated.
  `void` | `setId​(int id)` | Deprecated.
  `void` | `setMessage​(java.lang.String message)` | Deprecated.
  `void` | `setRead​(boolean isRead)` | Deprecated.
  `void` | `setSubject​(java.lang.String subject)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractNotification

    public ContractNotification()
    Deprecated.

- ## Method Details

  - ### getId

    public int getId()
    Deprecated.

  - ### setId

    public void setId​(int id)
    Deprecated.

  - ### getContractId

    public int getContractId()
    Deprecated.

  - ### setContractId

    public void setContractId​(int cid)
    Deprecated.

  - ### getSubject

    public java.lang.String getSubject()
    Deprecated.

  - ### setSubject

    public void setSubject​(java.lang.String subject)
    Deprecated.

  - ### getMessage

    public java.lang.String getMessage()
    Deprecated.

  - ### setMessage

    public void setMessage​(java.lang.String message)
    Deprecated.

  - ### getDateTime

    public java.util.Date getDateTime()
    Deprecated.

  - ### setDateTime

    public void setDateTime​(java.util.Date dateTime)
    Deprecated.

  - ### isRead

    public boolean isRead()
    Deprecated.

  - ### setRead

    public void setRead​(boolean isRead)
    Deprecated.